/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.cssgenerator.selector;

import java.io.StringWriter;

import org.w3c.css.sac.Condition;

/**
 *
 */
public interface Selector {

	String getClassName();

	String generate(Condition c, StringWriter writer) throws IllegalArgumentException;

	String generate(org.w3c.css.sac.Selector s, StringWriter writer) throws IllegalArgumentException;

	boolean matches(Condition condition);

	boolean matches(org.w3c.css.sac.Selector selector);

}
