/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea.nodes;

import com.is2t.icetea.IceteaSourceGenerator;
import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

public class DirectReadAccessToMemory extends Expression{
    
	public Expression memoryChunk;
    public Expression address;
    
    public TypeReference returnType;
    
    public boolean isVolatile;
    
    public DirectReadAccessToMemory(Expression memoryChunk, Expression address, TypeReference returnType, boolean isVolatile) {
        this.memoryChunk = memoryChunk;
        this.address = address;
        this.returnType = returnType;
        this.isVolatile = isVolatile;
    }
    
    public void generateExpressionUsing(JavaSourceGenerator gen){
    	((IceteaSourceGenerator)gen).generateDirectReadAccessToMemory(this);
    }

}
