/**
 * Java
 *
 * Copyright 2011 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.icetea.nodes;

import com.is2t.icetea.IceteaSourceGenerator;
import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

public class StructSizeOf extends Expression{

	public TypeReference type;

	public StructSizeOf(TypeReference type){
		this.type = type;		
	}
	
	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		((IceteaSourceGenerator)gen).generateStructSizeOf(this);
	}
}
