/*
 * Java
 *
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map.event;

import com.is2t.linker.map.IMapFileInterpretor2;
import com.is2t.tools.graph.IGraph;

public abstract class GraphEvent extends MapFileInterpretorEvent {

	private final IGraph result;

	public GraphEvent(IMapFileInterpretor2 source, IGraph result) {
		super(source);
		this.result = result;
	}

	public IGraph getResult() {
		return result;
	}

	public String toString() {
		return getClass().getSimpleName() + " " + getResult();
	}

}
